﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Priprema
{
    public class FileRepo : IRepo
    {
        private const string directory = @"C:\Users\bubif\source\repos\Vjezba_MI2\Priprema";
        private const string path = directory + "\\people.txt";
        public FileRepo()
        {
            Directory.CreateDirectory(directory);
            if (!File.Exists(path))
            {
                File.Create(path).Close();
            }
        }
        public IList<Person> Load()
        {
            IList<Person> list = new List<Person>();
            string[] lines = File.ReadAllLines(path);
            foreach (string line in lines)
            {
                list.Add(Person.Parse(line));
            }

            return list;
        }

        public void Save(IList<Person> persons)
        {
            int i = 0;
            string[] personsList = new string[persons.Count];
            foreach (Person person in persons) {
                personsList[i] = person.Format();
                i++;
            }
            File.WriteAllLines(path, personsList);
        }
    }
}
